EclaireXL - Feature #72

Implement stock Atari 400 mode
07/22/2018 08:20 AM - Farb

Status: Closed Start date: 07/22/2018
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Description

There are certain titles that require OS-A to run (Megalegs, Ghost Hunter). It would be nice to have a "stock Atari 400" mode that
runs OS-A with 16k of memory.

History

#1 - 07/22/2018 08:30 AM - Farb
- Subject changed from Implement stock Atari 400 OS-A mode to Implement stock Atari 400 mode

#2 - 07/22/2018 09:10 PM - foft

Are there any differences from the Atari800 mode? | guess 2 joystick ports. | guess also allowing less than 48K of ram (though that could be the 800
too).

#3 - 07/22/2018 10:06 PM - Farb

Most of this is probably not relevant here, but my understanding of the differences are:

1. Membrane vs. full-stroke keyboard.

2. It was originally sold with 8K of RAM but most sold with 16K RAM. Atari did sell a 48K RAM expansion kit but it required some soldering and was
only available to dealers.

3. Single cartridge slot instead of 2.

4. Both had 4 joystick ports, but on the 400, controller port #4 is the only port that supports a light pen or light gun.

5. No composite monitor port.

6. In North America, early production was CTIA but most are GTIA. In Europe, it was GTIA.

7. As with the 800, early machines had a standard 6502 CPU. Later production units used Atari's Sally 6502.

So, | guess a good starting point would be allowing 8k, 16k or 48k and OS-A or OS-B.

#4 - 08/01/2018 10:00 PM - foft

- Status changed from New to Closed

OK, so for all intents and purposes | think its the same. At least until we add the split bus for the 800... | added 8k mode. OS A should already work,
but | didn't add it to the standard profiles.
